<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
  <th:block th:insert="~{fragments/header-head :: head}"></th:block>
</head>

<body>

<div class="container-fluid">

  <!-- NAVBAR -->
  <nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
    <div class="container-fluid">
      <a class="navbar-brand" href="/" th:text="#{Home}"></a>
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <!-- Display Dialog to regroup clusters under the same class name -->
        <li class="nav-item m-1">
          <a class="btn btn-secondary" data-bs-toggle="modal" data-bs-target="#name_classes" th:text="#{Naming}"></a>
        </li>
      </ul>
    </div>
  </nav>

  <!-- NOTHING TO DISPLAY -->
  <div th:if="${noClusters}" class="container-fluid">
    <div class="page-template">
      <h1 th:text="#{Nothing_To_Display}"></h1>
    </div>
  </div>


  <!-- CLUSTERS TO NAME -->
  <div th:if="${!noClusters} " class="container-fluid">
    <div id="album" th:attr="class=${classAlbum}">
      <div class="container-fluid">
        <div th:if="${not #maps.isEmpty(filesByClusterId)}" class="container-fluid">
          <h1 th:text="#{Sorted_Files}"></h1>
          <form th:action="@{/clustering-files}" th:object="${selectedFileViewInCluster}" method="post" class="form-group">
            <div class="row" th:each="clusterId: ${filesByClusterId}">

              <!-- Cluster elements -->
              <div class="container-fluid">

                <div th:each="file : ${clusterId.value.fileUIViews}">
                  <div th:insert="~{fragments/file-view :: file-view (file=${file},static=false,onlyClusterCenterCanBeSelected=true)}"></div>
                </div>

              </div>

            </div>
          </form>
        </div>
      </div>
    </div>
  </div>

</div>

<!-- Modal -->
<div class="modal fade" id="name_classes" tabindex="-1" aria-labelledby="name_classes_label" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="name_classes_label" th:text="#{Naming}"/>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <form id="formNameClasse" th:action="@{/api/name_classe}" th:object="${classe}" method="post">
          <div class="form-outline mb-4">
            <input id="classeName" type="text" class="form-control mb-2" required="true" pattern="^[a-zA-Z0-9 ]+$" title="A-Z a-z 0-9 ' '"/>
            <label class="form-label" for="classeName" th:text="#{ClassName}"/>
          </div>
          <button th:text="#{Validate}" type="submit" class="btn btn-primary"></button>
        </form>
      </div>
    </div>
  </div>
</div>

</body>

<script type="text/javascript" src="../public/js/naming.js" th:src="@{/js/naming.js}"></script>

</html>
